<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Store:etc/config.xsd">
    <default>
        <writetextai_settings>
            <api>
                <auth_url>https://login.writetext.ai/</auth_url>
                <web_url>https://api.writetext.ai/</web_url>
                <client_id>WriteTextAI.Plugin</client_id>
                <enable_logger>0</enable_logger>
                <signalr_url>https://%s/text/hub/notification</signalr_url>
            </api>
            <attributes>
                <attributes>thumbnail,wtai_product_research_data</attributes>
            </attributes>
            <mapping>
                <custom_open_graph>0</custom_open_graph>
            </mapping>
            <description>
                <min>200</min>
                <max>250</max>
            </description>
            <excerpt>
                <min>100</min>
                <max>150</max>
            </excerpt>
            <category_description>
                <min>250</min>
                <max>300</max>
            </category_description>
            <max_length>
                <page_title>60</page_title>
                <page_description>255</page_description>
                <open_graph>180</open_graph>
                <alt_text>125</alt_text>
            </max_length>
            <autotransfer>
                <enabled>0</enabled>
                <cron_schedule>00 00 * * *</cron_schedule>
            </autotransfer>
            <keyword_optimization>
                <search_intent>transactional</search_intent>
                <cluster_based_pipelines_count>2</cluster_based_pipelines_count>
                <cluster_based_pipelines_count_category>4</cluster_based_pipelines_count_category>
                <automatic_text_optimization>auto_rewrite_and_queue</automatic_text_optimization>
                <pipeline_keyword>
                    <trigger_action>when_page_is_ranking</trigger_action>
                    <trigger_action_n_position>10</trigger_action_n_position>
                    <trigger_action_n_days>30</trigger_action_n_days>
                    <low>
                        <trigger_action>when_page_is_ranking</trigger_action>
                        <trigger_action_n_position>10</trigger_action_n_position>
                        <trigger_action_n_days>30</trigger_action_n_days>
                    </low>
                    <low_mid>
                        <trigger_action>when_page_is_ranking</trigger_action>
                        <trigger_action_n_position>10</trigger_action_n_position>
                        <trigger_action_n_days>30</trigger_action_n_days>
                    </low_mid>
                    <mid>
                        <trigger_action>when_page_is_ranking</trigger_action>
                        <trigger_action_n_position>10</trigger_action_n_position>
                        <trigger_action_n_days>30</trigger_action_n_days>
                    </mid>
                    <mid_high>
                        <trigger_action>when_page_is_ranking</trigger_action>
                        <trigger_action_n_position>10</trigger_action_n_position>
                        <trigger_action_n_days>30</trigger_action_n_days>
                    </mid_high>
                </pipeline_keyword>
                <products>page_title,page_description,product_description,short_product_description,open_graph</products>
                <categories>page_title,page_description,category_description</categories>
            </keyword_optimization>
            <setup>
                <setup1_sent>0</setup1_sent>
                <setup2_sent>0</setup2_sent>
                <setup3_sent>0</setup3_sent>
                <setup4_sent>0</setup4_sent>
                <setup5_sent>0</setup5_sent>
            </setup>
            <translation>
                <notice>0</notice>
            </translation>
            <popups>
                <welcome_new_version>2.2.0</welcome_new_version>
                <welcome_new_version_reference>3.5.8</welcome_new_version_reference>
            </popups>
            <dev>
                <ko_dev>0</ko_dev>
                <force_failed>0</force_failed>
                <build_no>3</build_no>
            </dev>
            <cannibalization>
                <first_visit>0</first_visit>
            </cannibalization>
        </writetextai_settings>
    </default>
</config>
